package com.goafanti.common.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * expense_account
 * @author 
 */
public class ExpenseAccount implements Serializable {
    private Integer id;

    /**
     * 公出编号
     */
    private Integer prid;

    /**
     * 订单编号
     */
    private String orderNo;

    /**
     * 报销人
     */
    private String aid;

    /**
     * 报销人名称
     */
    private String aname;

    /**
     * 分类 0=其他，1=差旅费，2=非业务报销， 3=第三方付款，4=申请借支，5=抵扣
     */
    private Integer type;

    /**
     * 其他状态说明
     */
    private String typeOther;

    /**
     * 状态 0=草稿，1=审核中，2=完成，3=驳回 ,4=撤销
     */
    private Integer status;

    /**
     * 流程状态 0=巴员发起，1=上级审核，2=财务审核，3=总经理审核，4=董事长审核
     */
    private Integer processStatus;

    /**
     * 总金额
     */
    private BigDecimal totalAmount;

    /**
     * 合同图片
     */
    private String attachmentUrl;

    /**
     * 申请部门
     */
    private String applyDep;

    /**
     * 支付部门
     */
    private String payDep;

    /**
     * 报销帐号编号
     */
    private Integer eaaid;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 公出企业地址
     */
    private String districtName;

    /**
     * 公司名称
     */
    private String userNames;

    /**
     * 公出开始时间
     */
    private Date releaseStart;

    /**
     * 公出结束时间
     */
    private Date releaseEnd;

    /**
     * 时长
     */
    private Double duration;

    /**
     * 审核人员名称
     */
    private String examineName;

    /**
     * 已付金额（申请借支）
     */
    private BigDecimal settlementAmount;

    /**
     * 抵扣编号
     */
    private Integer debitId;

    /**
     * 目标分类 0=固定费用，1=报销到订单
     */
    private Integer targetType;

    /**
     * 清算状态 0-未抵扣，1=已抵扣，未全款，2=已全款,未审核，3已全款，已审核
     */
    private Integer liquidationStatus;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 报销查询编号
     */
    private String checkNo;

    /**
     * 0=子表，1=主表
     */
    private Integer expenseMain;

    /**
     * 真实金额
     */
    private BigDecimal realAmount;

    /**
     * 0=无，8=招待费，9=办公费，10=福利费，11=物业水电费，12=打印费
     */
    private Integer secondaryType;

    /**
     * 次要分类其他说明
     */
    private String secondaryTypeOther;

    /**
     * 报销金额
     */
    private BigDecimal amount;

    /**
     * 特批状态 0-非特批 ，1-特批
     */
    private Integer approval;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getPrid() {
        return prid;
    }

    public void setPrid(Integer prid) {
        this.prid = prid;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getAid() {
        return aid;
    }

    public void setAid(String aid) {
        this.aid = aid;
    }

    public String getAname() {
        return aname;
    }

    public void setAname(String aname) {
        this.aname = aname;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getTypeOther() {
        return typeOther;
    }

    public void setTypeOther(String typeOther) {
        this.typeOther = typeOther;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getProcessStatus() {
        return processStatus;
    }

    public void setProcessStatus(Integer processStatus) {
        this.processStatus = processStatus;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public String getAttachmentUrl() {
        return attachmentUrl;
    }

    public void setAttachmentUrl(String attachmentUrl) {
        this.attachmentUrl = attachmentUrl;
    }

    public String getApplyDep() {
        return applyDep;
    }

    public void setApplyDep(String applyDep) {
        this.applyDep = applyDep;
    }

    public String getPayDep() {
        return payDep;
    }

    public void setPayDep(String payDep) {
        this.payDep = payDep;
    }

    public Integer getEaaid() {
        return eaaid;
    }

    public void setEaaid(Integer eaaid) {
        this.eaaid = eaaid;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public String getUserNames() {
        return userNames;
    }

    public void setUserNames(String userNames) {
        this.userNames = userNames;
    }

    public Date getReleaseStart() {
        return releaseStart;
    }

    public void setReleaseStart(Date releaseStart) {
        this.releaseStart = releaseStart;
    }

    public Date getReleaseEnd() {
        return releaseEnd;
    }

    public void setReleaseEnd(Date releaseEnd) {
        this.releaseEnd = releaseEnd;
    }

    public Double getDuration() {
        return duration;
    }

    public void setDuration(Double duration) {
        this.duration = duration;
    }

    public String getExamineName() {
        return examineName;
    }

    public void setExamineName(String examineName) {
        this.examineName = examineName;
    }

    public BigDecimal getSettlementAmount() {
        return settlementAmount;
    }

    public void setSettlementAmount(BigDecimal settlementAmount) {
        this.settlementAmount = settlementAmount;
    }

    public Integer getDebitId() {
        return debitId;
    }

    public void setDebitId(Integer debitId) {
        this.debitId = debitId;
    }

    public Integer getTargetType() {
        return targetType;
    }

    public void setTargetType(Integer targetType) {
        this.targetType = targetType;
    }

    public Integer getLiquidationStatus() {
        return liquidationStatus;
    }

    public void setLiquidationStatus(Integer liquidationStatus) {
        this.liquidationStatus = liquidationStatus;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getCheckNo() {
        return checkNo;
    }

    public void setCheckNo(String checkNo) {
        this.checkNo = checkNo;
    }

    public Integer getExpenseMain() {
        return expenseMain;
    }

    public void setExpenseMain(Integer expenseMain) {
        this.expenseMain = expenseMain;
    }

    public BigDecimal getRealAmount() {
        return realAmount;
    }

    public void setRealAmount(BigDecimal realAmount) {
        this.realAmount = realAmount;
    }

    public Integer getSecondaryType() {
        return secondaryType;
    }

    public void setSecondaryType(Integer secondaryType) {
        this.secondaryType = secondaryType;
    }

    public String getSecondaryTypeOther() {
        return secondaryTypeOther;
    }

    public void setSecondaryTypeOther(String secondaryTypeOther) {
        this.secondaryTypeOther = secondaryTypeOther;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Integer getApproval() {
        return approval;
    }

    public void setApproval(Integer approval) {
        this.approval = approval;
    }
}